Name:           numptyphysics
Version:        0.3
Release:        0.3.20080925svn%{?dist}
Summary:        A crayon-drawing based physics puzzle game 

Group:          Amusements/Games
License:        GPLv3+
URL:            http://numptyphysics.garage.maemo.org/
# svn co -r81 https://garage.maemo.org/svn/numptyphysics/trunk numptyphysics
# tar czf numptyphysics.tar.gz numptyphysics --exclude .svn
Source0:        numptyphysics.tar.gz
Source1:        numptyphysics.desktop
Source10:       numptyphysics-levels-2008-09-27.tar.gz
Patch0:         numptyphysics-0.3-gcc43.patch
Patch1:         numptyphysics-0.3-doublefree.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL_image-devel
BuildRequires:  desktop-file-utils

%description
Harness gravity with your crayon and set about creating blocks, ramps,
levers, pulleys and whatever else you fancy to get the little red thing to
the little yellow thing.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .doublefree


%build
# Note the ARCH variable doesn't denote real arch. It's just used to hit a
# conditional that we're not compiling with mingw
make %{?_smp_mflags}    \
        ARCH=i686       \
        CCOPTS="%{optflags} -IBox2D/Include"


%install
rm -rf $RPM_BUILD_ROOT

# Directory structure
install -d $RPM_BUILD_ROOT%{_datadir}/numptyphysics
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps

# Files
install -pm 644 *.png *.nph *.jpg $RPM_BUILD_ROOT%{_datadir}/numptyphysics
install -pm 755 i686/Game $RPM_BUILD_ROOT%{_bindir}/numptyphysics
install -pm 644 debian/numptyphysics64.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/numptyphysics.png

# Additional levels
tar xzf %{SOURCE10} -C $RPM_BUILD_ROOT%{_datadir}/numptyphysics

# Icon
desktop-file-install --vendor=fedora %{SOURCE1} \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/numptyphysics
%{_datadir}/numptyphysics
%{_datadir}/pixmaps/numptyphysics.png
%{_datadir}/applications/fedora-numptyphysics.desktop


%changelog
* Tue Sep 30 2008 Lubomir Rintel <lkundrak@v3.sk> 0.3-0.4.20080925svn
- Add more levels

* Mon Sep 29 2008 Lubomir Rintel <lkundrak@v3.sk> 0.3-0.2.20080925svn
- Review, small tidy-ups

* Thu Sep 25 2008 Lubomir Rintel <lkundrak@v3.sk> 0.3-0.1.20080925svn
- Initial packaging attempt
